=== debian/control ===
Source: sg-kms
Section: utils
Priority: extra
Maintainer: Admin <admin@servergeneral.com>

Package: sg-kms
Version: 1.0.72.gd6f7470
Installed-Size: 4420
Homepage: http://www.servergeneral.com
Architecture: all
Pre-Depends: serverg, x11-apps, x11-session-utils, x11-utils, x11-xfs-utils, x11-xkb-utils, x11-xserver-utils, xauth, xinit, x11-common, libcanberra-gtk3-module, libcanberra-gtk-module
Description: Server-GENERAL KMS for MySQL
 The SG-KMS for MySQL consists of two components - the Server General KMS Agent (SGA) and the Server General Locker (SGL). The SGL is a secure appliance used to store keys. A single SGL can store unlimited number of encryption keys used by a group of MySQL servers. SGKMS for MySQL uses three-tier encryption key architecture consisting of a master MySQL Key (MMK), a tablespace key (TSK) and a Data Admin Master Key (DMK). SG-KMS for MySQL has been designed to protect the encryption keys (MMK) against internal as well as external threats and no key is ever stored on the disk in plain text. The encrypted value of the MMK is moved into the SGL while our security staff manages it for you on a 24x7x365 basis.
 .
 Server General provides generation, rotation and revocation of keys that are used by various Server General administrators. The MySQL’s encryption offering leaves one gaping hole - it does not protect the binary log files. Since these files have transactional information an attacker can easily replay these files and get to the sensitive information. Server General helps customers to encrypt these files and protect them against a malicious “root” user attack. 
 .
 Highlights
  * SG-KMS for MySQL is a comprehensive and managed key management service.
  * The Server General Locker can be installed on-premises or within our cloud.
  * Managed by our security professionals on 24x7x365 basis.
  * Securely stores unlimited number of encryption keys.
  * Supports primary and standby configuration for high availability.
  * Streamlined for MySQL.
  * Uses FIPS 140-2 Level-1 compliant OpenSSL libraries.
  * Helps achieve compliance with HIPAA/HITECH, PCI DSS, FERPA, FISMA and other regulations.
