## sg-kms 1.0.75.g4e675d8

=== debian/changelog ===
sg-kms (1.0.75.g4e675d8) trusty; urgency=low
  * fixed issue with sg-kms installer and package builder
  * fixed issue #140: Add Uninstall functionality for SG KMS
  * changed the way how the license file is saved to a temp file and showed to user on console mode.
  * - location of jar file is moved to /usr/share/sg-kms on install - created script to build rpm, deb packages and the sg-kms pkg installer, also we have created an script to build and standalone installer (not pgk dependent).
  * Added the application Icon
  * fixed issue #0000137: If we disallow the user to rotates the DMK we must disallow rotation for SMK too.
  * Set the correct icon for menuitems: mmk-protection and log-protection.
  * fixed issue #0000143: Stop MMK - missing icon - No advanced ACL release
  * Changed verbiage, fixed issue #0000138
  * enabled sgadmin password as parameter on installation
  * 000133: "Protect MySQL Key" after "Un-protect MySQL Key" tries to reconfigure MySQL TDE, The title of the screen was changed.
  * on start log protection, if the policy can't be started, I must not start mysql service manually.
  * Fixed 0000135: "Locker Status = Stopped"
  * fixed issue 0000134: "Start MMK Protection" has the wrong icon
  * additional allowed users is disabled when pam is disabled
  * Changed command line verbiage to fix issue: 0000130
  * the installer set password as default for sgadmin, user can use -k option to switch to ssh-key
  * apparmor/selinux is disable on sg-kms startup.
  * The installer disables apparmor/selinux during the installation process.
  * Added icons and buttons to stop/start mmk/log protection
  * fixed duplication of attached tar file when the installer is created.
  * added script to create standalone installer for sg-kms (not installs sga)
  * the installer shows the sg-kms version and the generation date of the installer.
  * fixed issue with system commands in Red Hat 6
  * Fixed issue with TDE enabling on RHEL 6
  * fixed dependent packages for redhat 6 install
  * Added dependencies for redhat and centos to the installer.
  * Fixed issue with mysql version on ubuntu 1604
  * Fixed issue on the compliance report, we need to change permission on sgl.conf to 644, because SG-KMS need read the file to know the type of locker (Cloud/on-premises).
  * changed verbiage in some messages of sg-kms script
  * changed the order of the routes in the path variable for sg-kms-installer.
  * added stop key protection and stop log protection commands on gui mode
  * Added command to stop the mysql log protection in console mode .
  * added the log-status command in console mode.
  * Added command to stop the mysql keyring policy
  * changes to the sg-kms installer needed to allow sg-kms to run properly.
  * added method to stop policy
  * The installer now checks for javafx, if it is installed omit the jre install. sg-kms doesn't launch sg-kms.jar if the command is run by another user, other than sgadmin
  * Fix issue with getting the current DA Id
  * Protect/Unprotect Logs are always enabled, but when the locker is closed it retrieve the key before executes the command, similar for Start Log Protection.
  * verbiage and date format have been changed for compliance report
  * sg-kms installer was updated to fix some bugs related to sga-installer
  * Added compliance report fixed some issues with the locker status.
  * Added commands to start sg-kms and mysql logs policies
  * Added the exit button
  * added check for not root user on sg-kms startup
  * fixed installer issue with obfuscation
  * Added button for restart mysql tde
  * fixed some strings
  * updated colors of the buttons, and changed some icons
  * Fixed some messages. Changed the behaviour of the Get Key Button.
  * changed icons of the applications (buttons and menu). fixed some tooltip messages.
  * created the installation script
  * the gui have been updated.
  * Fixed issue with information showed in the log viewer dialog.
  * Fixed issue with rotation of the key when mysql is restarted while the locker is closed.
  * removed unnecessary lines
  * Added confirm dialog when the MySQL service need to be restarted.
  * Protect/Unprotect log are enable or disable according to the status of the MySQL log policy
  * The StoreKey Button is disable when the locker is closed. Now we check in a correct way if the locker is closed, opened or stopped.
  * Fixed error message on success protecting mysql log files.
  * Added Logger Viewer feature.
  * Fixed revoke message
  * added the revoke da feature
  * Added the unprotect key feature
  * Added the unprotect MySQL log feature.
  * Added Protect MySQL Log feature
  * Added SMK rotation feature
  * Added rotate DMK future
  * smk and dmk are validated to have only alpha and numeric characteres
  * MySQL TDE will be enabled when this is not enabled, during the configuration process.
  * code refactor to allow call of the system commands in a better way
  * sg-kms-setup.fxml hide the license panel.
  * Added option to save the SG license agreement during configuration
  * Added i18n and l10n, all the messages have been moved to string.properties
 -- Server General Admin <admin@servergeneral.com>  Thu, 11 May 2017 20:32:14 +0000
