=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Section: utils
 Priority: extra
 Maintainer: Admin <admin@servergeneral.com>
+Build-Depends: debhelper (>=9)
+Standards-Version: 3.9.5
 
 Package: sg-kms
-Version: 1.0.72.gd6f7470
-Installed-Size: 4420
+Version: 1.0.75.g4e675d8
+Installed-Size: 4392
 Homepage: http://www.servergeneral.com
 Architecture: all
-Pre-Depends: serverg, x11-apps, x11-session-utils, x11-utils, x11-xfs-utils, x11-xkb-utils, x11-xserver-utils, xauth, xinit, x11-common, libcanberra-gtk3-module, libcanberra-gtk-module
+Depends: ${shlibs:Depends}, ${misc:Depends}, serverg, x11-apps, x11-session-utils, x11-utils, x11-xfs-utils, x11-xkb-utils, x11-xserver-utils, xauth, xinit, x11-common, libcanberra-gtk3-module, libcanberra-gtk-module
 Description: Server-GENERAL KMS for MySQL
  The SG-KMS for MySQL consists of two components - the Server General KMS Agent (SGA) and the Server General Locker (SGL). The SGL is a secure appliance used to store keys. A single SGL can store unlimited number of encryption keys used by a group of MySQL servers. SGKMS for MySQL uses three-tier encryption key architecture consisting of a master MySQL Key (MMK), a tablespace key (TSK) and a Data Admin Master Key (DMK). SG-KMS for MySQL has been designed to protect the encryption keys (MMK) against internal as well as external threats and no key is ever stored on the disk in plain text. The encrypted value of the MMK is moved into the SGL while our security staff manages it for you on a 24x7x365 basis.
  .
